---
raw: true
search:
  tags:
    - Access
    - GET
seo:
  description: >-
    Returns password credentials and their canonical scoped grants… Reference
    for the GET /v1/spaces/{spaceId}/password-credentials endpoint in the
    Spacefast API.
sidebar:
  label: List password access credentials
  badge: GET
title: List password access credentials
type: openapi-operation
---
Returns password credentials and their canonical scoped grants without returning password proofs.

`GET /v1/spaces/{spaceId}/password-credentials`

**Responses**

- `200` — Response for status 200
- `default` — Problem details (RFC 9457). Any 4xx/5xx response is one \`application/problem+json\` document.

Response example, 200:

```json
{
  "$schema": "http://example.com",
  "data": [
    {
      "id": "string",
      "grant": {
        "grant": {
          "name": "string",
          "audience": {
            "kind": "public"
          },
          "resources": {
            "include": [
              "string"
            ],
            "exclude": []
          },
          "capabilities": [
            "page.view"
          ],
          "constraints": {},
          "target": {
            "kind": "live"
          },
          "id": "string",
          "source": {
            "kind": "config",
            "reference": "string"
          }
        },
        "generation": 1,
        "status": "scheduled",
        "sourceExplanation": {
          "editable": true,
          "label": "string",
          "detail": "string"
        },
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z"
      },
      "rotatedAt": "2019-08-24T14:15:22Z",
      "lastUsedAt": "2019-08-24T14:15:22Z",
      "revokedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
```
